package com.bonus.canteen.core.reportforms.service;

import com.bonus.canteen.core.reportforms.beans.CanteenOrg;
import com.bonus.canteen.core.reportforms.beans.CanteenRecord;
import com.bonus.canteen.core.reportforms.beans.OrgConsume;

import java.util.List;

public interface reportformsService {
    List<OrgConsume> getOrgConsumeList(OrgConsume orgConsume);

    List<OrgConsume> getlistByArealist(OrgConsume orgConsume);

    List<OrgConsume> getlistBySuperlist(OrgConsume orgConsume);

    List<OrgConsume> getlistByH5list(OrgConsume orgConsume);

    List<OrgConsume> getlistByOtherlist(OrgConsume orgConsume);

    List<CanteenRecord> getPeoplelist(CanteenRecord orgConsume);

    List<CanteenOrg> getOrgTree();

    List<OrgConsume> getDeductionlist(OrgConsume orgConsume);
}
